E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GAuth::Secrets Class Reference

A simple interface for a store of secrets used in authentication. More...

`#include <gsecrets.h>`

Inheritance diagram for GAuth::Secrets:

## Public Member Functions
| Secrets (const std::string &source_storage_path, const std::string &debug_name, const std::string &server_type=std::string())
| Constructor. More...
| Secrets ()
| Default constructor for an in-valid(), empty-path object.
virtual | ~Secrets ()
| Destructor.
virtual std::string | source () const override
| Override from GAuth::SaslServerSecrets.
virtual bool | valid () const override
| Override from GAuth::Valid virtual base.
virtual Secret | clientSecret (const std::string &mechanism) const override
| Override from GAuth::SaslClientSecrets.
virtual Secret | serverSecret (const std::string &mechanism, const std::string &id) const override
| Override from GAuth::SaslServerSecrets.
virtual std::pair< std::string, std::string > | serverTrust (const std::string &address_range) const override
| Override from GAuth::SaslServerSecrets.
virtual bool | contains (const std::string &mechanism) const override
| Override from GAuth::SaslServerSecrets.
Public Member Functions inherited from GAuth::Valid
virtual | ~Valid ()
| Destructor.

## Additional Inherited Members
Protected Member Functions inherited from GAuth::SaslClientSecrets
virtual | ~SaslClientSecrets ()
| Destructor.

## Detailed Description

A simple interface for a store of secrets used in authentication.

The default implementation uses a flat file.

Definition at line 40 of file gsecrets.h.

## Constructor & Destructor Documentation

GAuth::Secrets::Secrets | ( | const std::string & | source_storage_path,
|  | const std::string & | debug_name,
|  | const std::string & | server_type = `std::string()`
| ) |  |

Constructor.

The connection string is a secrets file path or "/pam".

The 'debug-name' is used in log and error messages to identify the repository.

The 'server-type' parameter can be used to select a different set of server-side authentication records that may be stored in the same repository such as "smtp" or "pop". The default is "server".

Throws on error, although an empty path is not considered an error: see valid().

Definition at line 26 of file gsecrets.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsecrets.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsecrets.cpp